Subject: Cygwin ping from restricted acct yields "recvfrom: Invalid argume nt"
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 26 May 2006 14:08:43 -0600

Here's a strange problem from Cygwin ver 1.5.19 (0.150/4/2) under
Windows2000 (v5.00.2195):

If I run a simple ping (even ping localhost) from a Windows account that is
classified by Windows as a "Restricted user (Users Group)", I get:

	ping: recvfrom: Invalid argument

repeated over & over in rapid succession til I hit Ctrl-C.

But if I ping from either of my two administrator-type accounts, it pings
fine.
My ping path is using /usr/bin/ping.exe

Any ideas?
For now I will just force my path to use the Windows ping instead (which is
what Cygwin v1.5.18 uses).

Thanks
Jon Thomas
Staff Software Lead Engineer
	ph: 801-594-2992
Comm Systems West
L-3 Communications
640 No. 2200 W. 
PO Box 16850
SLC UT 84116-0850

This document contains information which must be protected IAW AFI 33-332
and DOD Regulation 5400.11; Privacy Act of 1974 as Amended applies.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/